# lp_solve_version

Returns the full version number of lp_solve.

void lp_solve_version(int *majorversion, int *minorversion, int *release, int *build);

Return Value

lp_solve_version has no return value.

Parameters

majorversion

major version number.

minorversion

minor version number.

release

release number.

build

build number.

Remarks

The lp_solve_version function returns the full version number of lp_solve.

Example

    #include <stdio.h>
    #include <stdlib.h>
    #include "lp_lib.h"

    int main(void)
    {
      int majorversion, minorversion, release, build;

      lp_solve_version(&majorversion, &minorversion, &release, &build);

      return(0);
    }

lp_solve API reference

See Also